eoRealInterval(3)

NAME
eoRealInterval - fully bounded eoRealBound == interval

SYNOPSIS

#include <eoRealBounds.h>

Inherits eoRealBounds.

  Public Member Functions
eoRealInterval (double _min=0, double _max=1)
Simple bounds = minimum and maximum (allowed).
virtual double minimum () const
get minimum value ::exception if does not exist
virtual double maximum () const
get maximum value ::exception if does not exist
virtual double range () const
get range ::exception if unbounded
virtual bool isBounded (void) const
Self-Test: true if ***both*** a min and a max.
virtual bool hasNoBoundAtAll (void) const
Self-Test: true if no min ***and*** no max hence no further need to test/truncate/fold anything.
virtual bool isMinBounded (void) const
Self-Test: bounded from below???
virtual bool isMaxBounded (void) const
Self-Test: bounded from above???
virtual double uniform (eoRng &_rng=eo::rng) const
random generator of uniform numbers in bounds ::exception if unbounded
virtual bool isInBounds (double _r) const
Test on a value: is it in bounds?
virtual void foldsInBounds (double &_r) const
Put value back into bounds - by folding back and forth.
virtual void truncate (double &_r) const
Put value back into bounds - by truncating to a boundary value.
virtual void readFrom (std::istream &_is)
Read object.
virtual void printOn (std::ostream &_os) const
Write object.
virtual eoRealBounds * dup () const
for memory managements - ugly

  Private Attributes
double repMinimum
double repMaximum
double repRange

Detailed Description

fully bounded eoRealBound == interval

Definition at line 199 of file eoRealBounds.h.

Member Function Documentation

  virtual void eoRealInterval::readFrom (std::istream & _is) [inline, virtual]

Read object.

Parameters:
    _is A std::istream. but reading should not be done here, because of bound problems see eoRealVectorBounds

Implements eoPersistent.

Definition at line 286 of file eoRealBounds.h.

  virtual void eoRealInterval::printOn (std::ostream & _os) const [inline, virtual]

Write object.

It's called printOn since it prints the object on a stream.

Parameters:
    _os A std::ostream.

Implements eoPrintable.

Definition at line 295 of file eoRealBounds.h.

Author

Generated automatically by Doxygen for EO from the source code.